Content analytics

Posts counted on their first tracked day, per day and platform, with the previous range

GET/api/public/v1/content/posts_daily
LiveAnswers from your brand's records now.

Operation id getContentPostsDaily

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/content/posts_daily" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
campaign_idsquerystring
platformquerystringOne of instagramtik_tokyoutubefacebooktwitter

Responses

200Success

FieldTypeNotes
dataobject
data.changeobject
data.change.deltanumber
data.change.pctnumber, nullable
data.currentinteger
data.platformsarray of string
data.previousinteger
data.previous_seriesarray of object
data.previous_series[].[].datestring (date)
data.previous_series[].[].postsinteger
data.seriesarray of object
data.series[].[].by_platformobject
data.series[].[].datestring (date)
data.series[].[].postsinteger
metaobject
meta.campaign_idsarray of integer
meta.organization_idinteger
meta.platformstring, nullable
meta.scopestringOne of familybrandcampaign
successboolean

Example

{
  "data": {
    "change": {
      "delta": 125.5,
      "pct": 125.5
    },
    "current": 3,
    "platforms": [
      "string"
    ],
    "previous": 3,
    "previous_series": [
      {
        "date": "2026-11-01",
        "posts": 3
      }
    ],
    "series": [
      {
        "by_platform": {},
        "date": "2026-11-01",
        "posts": 3
      }
    ]
  },
  "meta": {
    "campaign_ids": [
      3
    ],
    "organization_id": 1024,
    "platform": "string",
    "scope": "family"
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.